LotusStyleManagerInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
LotusStyleManagerInternal::State Struct Reference

the state of LotusStyleManager More...

## Public Member Functions
| State ()
| constructor

## Static Public Member Functions
static bool | getColor8 (int id, WPSColor &color)
| returns a color corresponding to an id between 0 and 7
static bool | getColor16 (int id, WPSColor &color)
| returns a color corresponding to an id between 0 and 15
static bool | getColor256 (int id, WPSColor &color)
| returns a color corresponding to an id
static bool | getPattern48 (int id, WPSGraphicStyle::Pattern &pattern)
| returns the pattern corresponding to a pattern id between 1 and 48
static bool | getPattern64 (int id, WPSGraphicStyle::Pattern &pattern)
| returns the pattern corresponding to a pattern id between 1 and 64

## Public Attributes
int | m_version
| the file version
bool | m_isUpdated
| a flag to know if updateState was launched
std::map< int, CellStyle > | m_idCellStyleMap
| a map id to cell style
std::map< int, ColorStyle > | m_idColorStyleMap
| a map id to color style
std::map< int, FontStyle > | m_idFontStyleMap
| a map id to font style
std::map< int, FormatStyle > | m_idFormatStyleMap
| a map id to format style
std::map< int, GraphicStyle > | m_idGraphicStyleMap
| a map id to graphic style
std::map< int, LineStyle > | m_idLineStyleMap
| a map id to line style
std::map< int, FontName > | m_idFontNameMap
| a map id to font name style
std::map< int, int > | m_idToParentStyleMap
| a map style id to the cell style id
std::map< int, CellStyleEntry > | m_idToCellStyleEntryMap
| a map cell style id to the cell style entry

## Detailed Description

the state of LotusStyleManager

## Constructor & Destructor Documentation

## ◆ State()

LotusStyleManagerInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getColor16()

bool LotusStyleManagerInternal::State::getColor16 | ( | int | id,
|  | WPSColor & | color )
| static

returns a color corresponding to an id between 0 and 15

## ◆ getColor256()

bool LotusStyleManagerInternal::State::getColor256 | ( | int | id,
|  | WPSColor & | color )
| static

returns a color corresponding to an id

## ◆ getColor8()

bool LotusStyleManagerInternal::State::getColor8 | ( | int | id,
|  | WPSColor & | color )
| static

returns a color corresponding to an id between 0 and 7

## ◆ getPattern48()

bool LotusStyleManagerInternal::State::getPattern48 | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern )
| static

returns the pattern corresponding to a pattern id between 1 and 48

## ◆ getPattern64()

bool LotusStyleManagerInternal::State::getPattern64 | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern )
| static

returns the pattern corresponding to a pattern id between 1 and 64

Referenced by getPattern48().

## Member Data Documentation

## ◆ m_idCellStyleMap

std::map<int, CellStyle> LotusStyleManagerInternal::State::m_idCellStyleMap

a map id to cell style

Referenced by State().

## ◆ m_idColorStyleMap

std::map<int, ColorStyle> LotusStyleManagerInternal::State::m_idColorStyleMap

a map id to color style

Referenced by State().

## ◆ m_idFontNameMap

std::map<int, FontName> LotusStyleManagerInternal::State::m_idFontNameMap

a map id to font name style

Referenced by State().

## ◆ m_idFontStyleMap

std::map<int, FontStyle> LotusStyleManagerInternal::State::m_idFontStyleMap

a map id to font style

Referenced by State().

## ◆ m_idFormatStyleMap

std::map<int, FormatStyle> LotusStyleManagerInternal::State::m_idFormatStyleMap

a map id to format style

Referenced by State().

## ◆ m_idGraphicStyleMap

std::map<int, GraphicStyle> LotusStyleManagerInternal::State::m_idGraphicStyleMap

a map id to graphic style

Referenced by State().

## ◆ m_idLineStyleMap

std::map<int, LineStyle> LotusStyleManagerInternal::State::m_idLineStyleMap

a map id to line style

Referenced by State().

## ◆ m_idToCellStyleEntryMap

std::map<int, CellStyleEntry> LotusStyleManagerInternal::State::m_idToCellStyleEntryMap

a map cell style id to the cell style entry

Referenced by State().

## ◆ m_idToParentStyleMap

std::map<int, int> LotusStyleManagerInternal::State::m_idToParentStyleMap

a map style id to the cell style id

Referenced by State().

## ◆ m_isUpdated

bool LotusStyleManagerInternal::State::m_isUpdated

a flag to know if updateState was launched

Referenced by State().

## ◆ m_version

int LotusStyleManagerInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp